Send event
curl --request POST \
--url https://api.neynar.com/v2/farcaster/app_host/user/event/ \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"app_domain": "demo.neynar.com",
"signed_message": "<string>"
}
'import requests
url = "https://api.neynar.com/v2/farcaster/app_host/user/event/"
payload = {
"app_domain": "demo.neynar.com",
"signed_message": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({app_domain: 'demo.neynar.com', signed_message: '<string>'})
};
fetch('https://api.neynar.com/v2/farcaster/app_host/user/event/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Successfully processed event"
}{
"message": "<string>",
"code": "<string>",
"property": "<string>",
"status": 123
}{
"message": "<string>",
"code": "<string>",
"property": "<string>",
"status": 123
}{
"message": "<string>",
"code": "<string>",
"property": "<string>",
"status": 123
}{
"message": "<string>",
"code": "<string>",
"property": "<string>",
"status": 123
}Mini App Hosts
Send event
Post an app_host event to the domain’s webhook. Events such as enabling or disabling notifications for a user. Provide either a signed message or the signer UUID of an authorized neynar-hosted signers.
POST
/
v2
/
farcaster
/
app_host
/
user
/
event
/
Send event
Node.js SDK
🔗 SDK Method: appHostPostEvent Use this API endpoint with the Neynar Node.js SDK for typed responses and better developer experience.Authorizations
API key to authorize requests
Body
application/json
- SignedMessageBody
- SignerUuidBody
Request body for app host events. Can either provide a signed_message or a signer_uuid with event details.
Domain of the mini app
Example:
"demo.neynar.com"
JFS-signed message containing the event payload. The message must be properly signed and contain valid event information. Can be provided as a single string or json object.
Was this page helpful?